/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {StatInfoResponse} from "./statInfoResponse";
import {SubcontractorZoneSecondResponse} from "src/classLibrary/APIModels/analytics/subcontractorZoneSecondResponse";
import {
    IZoneSubDatabase,
    SegmentAggregateSecondAnalytics,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class HourlySubcontractorZoneSecondResponse implements IZoneSubDatabase, SegmentAggregateSecondAnalytics {
    public info: StatInfoResponse;

    public data: { [s: string]: SubcontractorZoneSecondResponse };

    public zones: ZoneDict;

    public subcontractors: SubDict;

    constructor(info: StatInfoResponse, data: { [p: string]: SubcontractorZoneSecondResponse }, zones: ZoneDict, subcontractors: SubDict) {
        this.info = info;
        this.data = data;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
